Security Enhanced Linux Reference Policy

# Layer: services

## Module: knot

Interfaces

### Description:

high-performance authoritative-only DNS server.

### Interfaces:

knot_admin( domain , role )

##### Summary

All of the rules required to administrate an knot environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

knot_domtrans_client( domain )

##### Summary

Execute knotc in the knotc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

knot_read_config_files( domain )

##### Summary

Read knot config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

knot_run_client( domain , role )

##### Summary

Execute knotc in the knotc domain, and allow the specified role the knotc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return